﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace InfragisticsTest
{
  /// <summary>
  /// Interaction logic for MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow ()
    {
      InitializeComponent ();
      this.Loaded += new RoutedEventHandler (MainWindow_Loaded);
    }

    void MainWindow_Loaded (object sender, RoutedEventArgs e)
    {
      var list = new List<AttributeGroup>();
      for (int i = 0; i < 10; i++)
      {
        var p = new AttributeGroup(){Name = "P "+ i.ToString()};
        list.Add(p);

        for (int j = 0; j < 10; j++)
        {
          var c = new Attribute() {Name = "C " + j.ToString()};
          p.Attributes.Add(c);          
          for (int k = 0; k < 10; k++)
          {
            var g = new AttributeGroup() {Name = "G " + k.ToString()};
            var a = new Attribute() { Name = "A " + k.ToString () };
            p.Attributes.Add(g);

            g.Attributes.Add (a);
            //c.Children.Add(new Attribute() {Name = "cc " + k.ToString()});
            //c.Secondary.Add(new Attribute() {Name = "Sec"});
          }
        }

      }

      this.DataContext = list;

    }
  }
}
